View Issue Details

IDProjectCategoryView StatusLast Update
14042Bug reports[All Projects] Survey designpublic2018-09-13 16:00
ReporterrbaierAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.14.x 
Summary14042: Inappropriate display of "Survey Groups"
Description

1.) A user (survey admin) who has created "survey groups" will not see (t)his survey groups in the survey group list, unless he is given the "View/read surveys" permission.
This permission will but allow him to view all existing surveys, even those owned by others.

2.) In the dropdown lists for the selection of a "survey group", all existing survey groups are displayed to every user.

A user (without "View/read surveys" permission) should be able to see all "survey groups" owned by him, and only those.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.14.8+180829
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.5.59-0ubuntu0.14.04.1-log
Operating System (Server)Ubuntu
Webserver software & versionApache/2.4.23 (Linux/SUSE)
PHP VersionPHP/7.0.7

Activities

rbaier

rbaier

2018-09-11 10:04

reporter   ~49005

Additional remark to issue 1.): when a user (survey admin) who has created "survey groups", assigns one of his surveys to one of the newly created survey groups, then this "survey group" will appear in the survey group list.

guest

guest

2018-09-11 16:22

viewer   ~49011

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27917

dominikvitt

dominikvitt

2018-09-11 16:24

developer   ~49012

This issue is fixed.

rbaier

rbaier

2018-09-13 12:19

reporter   ~49023

Thanks a lot for fixing the issue!
Just one last note: In the list of all surveys there is a dropdown list for the selection of a "survey group" to be used as a search criterion. It seems that this dropdown list still displays all existing survey groups. The search result rightly will be empty if one searches for a user group owned by someone other.

dominikvitt

dominikvitt

2018-09-13 16:00

developer   ~49024

Fix committed to master branch: https://bugs.limesurvey.org/plugin.php?page=Source/view&id=27948

Related Changesets

LimeSurvey: master c4ad6cb0

2018-09-11 16:22:11

Dominik Vitt

Details Diff
Fixed issue 14042: Inappropriate display of "Survey Groups"
mod - application/controllers/admin/SurveysGroupsController.php Diff File
mod - application/models/SurveysGroups.php Diff File
mod - application/views/admin/surveysgroups/update.php Diff File

Issue History

Date Modified Username Field Change
2018-09-10 14:48 rbaier New Issue
2018-09-10 15:23 LouisGac Assigned To => dominikvitt
2018-09-10 15:23 LouisGac Status new => assigned
2018-09-11 10:04 rbaier Note Added: 49005
2018-09-11 16:22 Changeset attached => LimeSurvey master c4ad6cb0
2018-09-11 16:22 guest Note Added: 49011
2018-09-11 16:22 guest Resolution open => fixed
2018-09-11 16:24 dominikvitt Status assigned => resolved
2018-09-11 16:24 dominikvitt Fixed in Version => 3.14.x
2018-09-11 16:24 dominikvitt Note Added: 49012
2018-09-13 12:19 rbaier Note Added: 49023
2018-09-13 16:00 dominikvitt Note Added: 49024